from distutils.core import setup

long_des = """ # obj2html lib
You can use that lib to create html file from a .obj path:
```
from obj2html import obj2html

html_string = obj2html(obj_path)
obj2html(obj_path, 'index.html')
# firefox index.html
```

Use in a Jupyter notebook to display a .obj 3D file:
```
! pip install obj2html
from obj2html import obj2html
from IPython.display import display, HTML

obj_path = 'model.obj'
obj2html(obj_path, 'index.html')

display(HTML('index.html'))
```
"""

setup(
  name = 'obj2html',         # How you named your package folder (MyLib)
  packages = ['obj2html'],   # Chose the same as "name"
  version = '0.2',      # Start with a small number and increase it with every change you make
  license='MIT',        # Chose a license from here: https://help.github.com/articles/licensing-a-repository
  description = 'Create an html with three.js that contains the given .obj file.',   # Give a short description about your library
  long_description=long_des,
  author = 'Nicola Landro',                   # Type in your name
  author_email = 'nicolaxx94@live.it',      # Type in your E-Mail
  url = 'https://gitlab.com/nicolalandro/obj2html',   # Provide either the link to your github or to your website
  keywords = ['3D', '.obj', '.html','jupyter', ''],   # Keywords that define your package best
  install_requires=[],
)